#
#
# qmake configuration for win32-watcom
#
# Written for Watcom C++, now OpenWatcom.
#

TEMPLATE		= app
CONFIG			+= qt warn_on release link_prl

TQMAKE_CC		= wcl386
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= byacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		= -zq
TQMAKE_CFLAGS_WARN_ON	= -w2
TQMAKE_CFLAGS_WARN_OFF	= -w0
TQMAKE_CFLAGS_RELEASE	= -ox
TQMAKE_CFLAGS_DEBUG	= -d2
TQMAKE_CFLAGS_YACC	=

TQMAKE_CXX		= $$TQMAKE_CC
TQMAKE_CXXFLAGS		= $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC

TQMAKE_INCDIR		=
TQMAKE_INCDIR_QT		= $(TQTDIR)\include

TQMAKE_RUN_CC		= $(CC) -c $(CFLAGS) $(INCPATH) -fo=$obj $src
TQMAKE_RUN_CXX		= $(CXX) -c $(CXXFLAGS) $(INCPATH) -fo=$obj $src

TQMAKE_LINK		= wlink
TQMAKE_LFLAGS		= op quiet op c
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	= d all
TQMAKE_LFLAGS_CONSOLE	= sys nt
TQMAKE_LFLAGS_WINDOWS	= sys nt_win
TQMAKE_LFLAGS_CONSOLE_DLL= sys nt
TQMAKE_LFLAGS_WINDOWS_DLL= sys nt_win

TQMAKE_LIBS		=
TQMAKE_LIBS_CONSOLE	=
TQMAKE_LIBS_WINDOWS	=
TQMAKE_LIBS_QT		= %TQTDIR%\lib\qt.lib
TQMAKE_LIBS_TQT_ENTRY	= %TQTDIR%\lib\qtmain.lib

TQMAKE_LIBS_OPENGL	= opengl32.lib

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc.exe
TQMAKE_UIC		= $(TQTDIR)/bin/uic.exe
TQMAKE_IDC		= $(TQTDIR)/bin/idc.exe

TQMAKE_LIB		= wlib -b -c -n -q -p=512
TQMAKE_RC		= rc

TQMAKE_ZIP		= zip -r -9

TQMAKE_COPY		= copy
TQMAKE_MOVE		= move
TQMAKE_DEL_FILE		= del
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
